# Credential Object

## Description

Specification for a registered credential.

## Properties

### amazonIamAccessKey

Parameters for the IAM access key credential. Present when `credentialType` is `amazon-access-key`.

Type: [AmazonIamAccessKeyParameters](/data-types/amazoniamaccesskeyparameters-object.md) object.

### amazonIamRole

Parameters for the IAM role credential. Present when `credentialType` is `amazon-iam-role`.

Type: [AmazonIamRoleParameters](/data-types/amazoniamroleparameters-object.md) object.

### actionIds

IDs of the actions using the credential.

Type: array of `string`

### cloudProviderSubTypeId

Cloud-provider sub-type ID.

Type: `string`

Valid Values:

* `amazon-standard`
* `amazon-govcloud-us`
* `amazon-china`

### createdDate

Date, in ISO 8601 format, when the credential was registered.

Type: `string`

### credentialId

ID of the credential.

Type: `string`

### credentialType

Type of credential.

Type: `string`

Valid Values:

* `amazon-iam-role`
* `amazon-access-key`

### isUsedForSnsNotifications

True if the credential is configured to send SNS notifications. False otherwise.

Type: `boolean`

### lastModifiedDate

Date, in ISO 8601 format, when the credential was last modified.

Type: `string`

### lastModifiedBy

ID of the user whom last modified the credential.

Type: `string`

### managedInstanceIds

IDs of the Managed Instances using the credential.

Type: array of `string`

### name

Friendly name for the credential.

Type: `string`

### projectId

ID of the project in which the credential resides.

Type: `string`

### status

Status of the credential.

Type: `string`

Valid Values:

* `active`
* `deleted`

## Sample JSON for an IAM role

```javascript
{
    "actionIds": [
        "a-00000001"
    ],
    "amazonIamRole": {
        "roleArn": "arn:aws:iam::123456789012:role/Skeddly",
        "externalId": "skeddly-12345678"
    },
    "cloudProviderSubTypeId": "amazon-standard",
    "createdDate": "2016-06-08T14:42:00Z",
    "credentialId": "cred-00000001",
    "credentialType": "amazon-iam-role",

    "isUsedForSnsNotifications": false,
    "lastModifiedDate": "2016-06-08T14:42:00Z",
    "lastModifiedBy": "u-00000001",
    "managedInstanceIds": [
        "mi-00000001"
    ],
    "name": "My Credential",
    "projectId": "proj-00000001",
    "status": "active"
}
```

## Sample JSON for an IAM access key

```javascript
{
    "actionIds": [
        "a-00000001"
    ],
    "amazonIamAccessKey": {
        "accessKeyId": "AK123456789012345678",
    },
    "cloudProviderSubTypeId": "amazon-standard",
    "createdDate": "2016-06-08T14:42:00Z",
    "credentialId": "cred-00000001",
    "credentialType": "amazon-access-key",
    "isUsedForSnsNotifications": false,
    "lastModifiedDate": "2016-06-08T14:42:00Z",
    "lastModifiedBy": "u-00000001",
    "managedInstanceIds": [
        "mi-00000001"
    ],
    "name": "My Credential",
    "projectId": "proj-00000001",
    "status": "active"
}
```


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.skeddly.com/data-types/credential-object.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
